“MediaWiki:Mobile.css”的版本间的差异

这里有,偶像们的一切!
跳到导航 跳到搜索
(建立内容为“→‎这里放置的CSS将应用于所有皮肤 .infoBox{ margin:0 auto; width:80%; box-sizing:border-box; } .infoBoxTitle{ margin:3px auto;…”的新页面
 
第1行: 第1行:
/* 这里放置的CSS将应用 于所有 皮肤 */
+
/* 这里放置的CSS将应用 于MinervaNeue 皮肤 */
.infoBox{
+
footer .read-more-container:after {
   margin:0 auto;
+
content: "当ページは、Happy Elements株式会社「あんさんぶるスターズ!」の画像を利用しております。<br> 該当画像の転載・配布等は禁止しております。<br> © 2014-2019 Happy Elements K.K<br> <br&gt本页面利用了Happy Elements(乐元素)株式会社“偶像梦幻祭!!”的图像。<br> 禁止对该图像的转载与分发等。 <br&gt© 2014-2019 Happy Elements K.K<br> © 乐元素科技(北京)有限公司<br> <br> 「扩展科目」计划是知沅教育出版社扩展科目分社的教科书计划,《扩展科目 偶像梦幻祭》教材及其科目计划为「扩展科目」计划系列之一。<br&gt© 创想鸠沅 Creative Hatogen 2007-2025.<br> <br>";
   width:80%;
+
     --placeholder: "当ページは、Happy Elements株式会社「あんさんぶるスターズ!」の画像を利用しております。<br&gt該当画像の転載・配布等は禁止しております。<br> © 2014-2019 Happy Elements K.K<br> <br> 本页面利用了Happy Elements(乐元素)株式会社“偶像梦幻祭!!”的图像。<br> 禁止对该图像的转载与分发等。 <br> © 2014-2019 Happy Elements K.K<br> © 乐元素科技(北京)有限公司<br> <br> 「扩展科目」计划是知沅教育出版社扩展科目分社的教科书计划,《扩展科目 偶像梦幻祭》教材及其科目计划为「扩展科目」计划系列之一。<br> © 创想鸠沅 Creative Hatogen 2007-2025.<br> <br>";
   box-sizing:border-box;
 
}
 
  
 
.infoBoxTitle{
 
   margin:3px auto;
 
   padding:0;
 
   text-align:center;
 
   font-weight:700;
 
}
 
  
 
.infoBoxIcon{
 
   display:table-cell;
 
   padding:2px 0 2px 0.5em;
 
   vertical-align:middle;
 
}
 
  
 
.infoBoxText{
 
   display:table-cell;
 
   padding:0.25em 0.5em 0.25em 1.3em;
 
   width:100%;
 
   vertical-align:middle;
 
}
 
  
 
.infoBoxContent{
 
   border:1px solid #DDD;
 
   border-left-width:0;
 
   background:#FBFBFB;
 
}
 
  
 
.infoBoxBelow{
 
   margin:0 auto;
 
   padding:0;
 
   text-align:center;
 
}
 
 
 
/* WikiEditor */
 
.wikiEditor-ui-toolbar .tabs {
 
   float: left;
 
   height: 32px;
 
   list-style: none;
 
   margin: 0 3px;
 
   min-height: 32px;
 
   position: relative;
 
   max-height:32px;
 
}
 
 
 
.wikiEditor-ui-toolbar .tabs, .wikiEditor-ui-toolbar .section-main {
 
   position: relative;
 
   float: left;
 
   min-height: 32px;
 
   height: 32px;
 
   max-height:32px;
 
}
 
 
 
@font-face {
 
font-family: CSJZMT;
 
src: url(CSJZMT.TTF);
 
}
 
 
 
.lotayu {
 
font-family: CSJZMT;
 
}
 
 
 
.mw-parser-output .lotayu  {
 
font-family: CSJZMT;
 
 
}
 
}
  
第73行: 第8行:
 
{
 
{
 
font-family: MRazorPRC;
 
font-family: MRazorPRC;
src: url('MRazorPRC-Xbold.otf');
+
src: url('MRazorPRC-Xbold.otf')
unicode-range: U+0000-51E0, U+51E2-54B1, U+54B3-FFFF;
 
 
}
 
}
  
@font-face {
+
.mw-body h1, .mw-body-content h1, .mw-body-content h2, .mw-body-content h3, .mw-body-content h4, .pre-content h1, .content h1, .content h2, h3, h4, {
  font-family: 'anyfontreplace';
 
  src: local('思源黑体 CN'), local('SimSun'), local('Sans Serif') local('HarmonyOS SC Medium'), local('MiSans CN'), local('Source Han Sans SC');
 
  unicode-range: U+54B2, U+51E1; /* 咲、凪 */
 
}
 
 
 
.mw-body h1, .mw-body-content h1, .mw-body-content h2, .mw-body-content h3, .mw-body-content h4, .pre-content h1, .content h1, .content h2, h3, h4, .esjuqing {
 
font-family: 'anyfontreplace';
 
unicode-range: U+54B2, U+51E1; /* 咲、凪 */
 
}
 
.mw-body h1, .mw-body-content h1, .mw-body-content h2, .mw-body-content h3, .mw-body-content h4, .pre-content h1, .content h1, .content h2, h3, h4, .esjuqing {
 
 
font-family: MRazorPRC;
 
font-family: MRazorPRC;
unicode-range: U+0000-51E0, U+51E2-54B1, U+54B3-FFFF;
 
}
 
 
/*
 
* This TemplateStyles sheet deliberately does NOT include the full set of
 
* infobox styles. We are still working to migrate all of the manual
 
* infoboxes. See [[MediaWiki talk:Common.css/to do#Infobox]]
 
* DO NOT ADD THEM HERE
 
*/
 
/*
 
* not strictly certain these styles are necessary since the modules now
 
* exclusively output infobox-subbox or infobox, not both
 
* just replicating the module faithfully
 
*/
 
.infobox-subbox {
 
padding: 0;
 
border: none;
 
margin: -3px;
 
width: auto;
 
min-width: 100%;
 
font-size: 100%;
 
clear: none;
 
float: none;
 
background-color: transparent;
 
}
 
 
.infobox-3cols-child {
 
margin: auto;
 
}
 
 
.infobox .navbar {
 
font-size: 100%;
 
}
 
 
/* T281642 */
 
body.skin-minerva .infobox-header,
 
body.skin-minerva .infobox-subheader,
 
body.skin-minerva  .infobox-above,
 
body.skin-minerva .infobox-title,
 
body.skin-minerva  .infobox-image,
 
body.skin-minerva  .infobox-full-data,
 
body.skin-minerva .infobox-below {
 
text-align: center;
 
}
 
 
/* Dark theme: [[William_Wragg]], [[Coral_Castle]] */
 
 
@media screen {
 
   html.skin-theme-clientpref-night .infobox-full-data:not(.notheme) > div:not(.notheme)[style] {
 
   background: #1f1f23 !important;
 
    /* switch with var( --color-base ) when supported. */
 
    color: #f8f9fa;
 
}
 
 
@media screen and ( prefers-color-scheme: dark) {
 
   html.skin-theme-clientpref-os .infobox-full-data:not(.notheme) > div:not(.notheme)[style] {
 
    background: #1f1f23 !important;
 
    /* switch with var( --color-base ) when supported. */
 
    color: #f8f9fa;
 
   }
 
}
 
 
html.skin-theme-clientpref-night .infobox td div:not(.notheme)[style] {
 
background: transparent !important;
 
   color: var(--color-base,#202122);
 
}
 
 
@media screen and ( prefers-color-scheme: dark) {
 
   html.skin-theme-clientpref-os .infobox td div:not(.notheme)[style] {
 
background: transparent !important;
 
   color: var(--color-base,#202122);
 
   }
 
}
 
 
html.skin-theme-clientpref-night .infobox td div.NavHead:not(.notheme)[style] {
 
  background: transparent !important;
 
}
 
}
 
 
 
@media screen and ( prefers-color-scheme: dark) {
 
   html.skin-theme-clientpref-os .infobox td div.NavHead:not(.notheme)[style] {
 
background: transparent !important;
 
   }
 
}
 
 
/* Since infobox is a table, many infobox templates take advantage of this to add columns and rows to the infobox itself rather than as part of a new table inside them. This class should be discouraged and removed on the long term, but allows us to at least identify these tables going forward
 
Currently in use on: [[Module:Infobox3cols]]
 
Fixes issue described in https://phabricator.wikimedia.org/F55300125 on Vector 2022.
 
*/
 
@media (min-width: 640px) {
 
  body.skin--responsive .infobox-table {
 
   display: table !important;
 
  }
 
  body.skin--responsive .infobox-table > caption {
 
   display: table-caption !important;
 
  }
 
  body.skin--responsive .infobox-table > tbody {
 
   display: table-row-group;
 
  }
 
  body.skin--responsive .infobox-table tr {
 
   display: table-row !important;
 
  }
 
  body.skin--responsive .infobox-table th,
 
  body.skin--responsive .infobox-table td {
 
   padding-left: inherit;
 
   padding-right: inherit;
 
  }
 
}
 
/* 这里放置的CSS将应用于移动版网站 */
 
/* 这里放置的CSS将应用于所有皮肤 */
 
.infoBox{
 
   margin:0 auto;
 
   width:80%;
 
   box-sizing:border-box;
 
}
 
 
.infoBoxTitle{
 
   margin:3px auto;
 
   padding:0;
 
   text-align:center;
 
   font-weight:700;
 
}
 
 
.infoBoxIcon{
 
   display:table-cell;
 
   padding:2px 0 2px 0.5em;
 
   vertical-align:middle;
 
}
 
 
.infoBoxText{
 
   display:table-cell;
 
   padding:0.25em 0.5em 0.25em 1.3em;
 
   width:100%;
 
   vertical-align:middle;
 
}
 
 
.infoBoxContent{
 
   border:1px solid #DDD;
 
   border-left-width:0;
 
   background:#FBFBFB;
 
}
 
 
.infoBoxBelow{
 
   margin:0 auto;
 
   padding:0;
 
   text-align:center;
 
}
 
 
/* WikiEditor */
 
.wikiEditor-ui-toolbar .tabs {
 
   float: left;
 
   height: 32px;
 
   list-style: none;
 
   margin: 0 3px;
 
   min-height: 32px;
 
   position: relative;
 
   max-height:32px;
 
}
 
 
.wikiEditor-ui-toolbar .tabs, .wikiEditor-ui-toolbar .section-main {
 
   position: relative;
 
   float: left;
 
   min-height: 32px;
 
   height: 32px;
 
   max-height:32px;
 
}
 
 
@font-face {
 
font-family: CSJZMT;
 
src: url(CSJZMT.TTF);
 
}
 
 
.lotayu {
 
font-family: CSJZMT;
 
}
 
 
.mw-parser-output .lotayu  {
 
font-family: CSJZMT;
 
}
 
 
@font-face
 
{
 
font-family: MRazorPRC;
 
src: url('MRazorPRC-Xbold.otf');
 
unicode-range: U+0000-51E0, U+51E2-54B1, U+54B3-FFFF;
 
}
 
 
@font-face {
 
  font-family: 'anyfontreplace';
 
  src: local('思源黑体 CN'), local('SimSun'), local('Sans Serif') local('HarmonyOS SC Medium'), local('MiSans CN'), local('Source Han Sans SC');
 
  unicode-range: U+54B2, U+51E1; /* 咲、凪 */
 
}
 
 
.mw-body h1, .mw-body-content h1, .mw-body-content h2, .mw-body-content h3, .mw-body-content h4, .pre-content h1, .content h1, .content h2, h3, h4, .esjuqing {
 
font-family: 'anyfontreplace';
 
unicode-range: U+54B2, U+51E1; /* 咲、凪 */
 
}
 
.mw-body h1, .mw-body-content h1, .mw-body-content h2, .mw-body-content h3, .mw-body-content h4, .pre-content h1, .content h1, .content h2, h3, h4, .esjuqing {
 
font-family: MRazorPRC;
 
unicode-range: U+0000-51E0, U+51E2-54B1, U+54B3-FFFF;
 
}
 
 
/*
 
* This TemplateStyles sheet deliberately does NOT include the full set of
 
* infobox styles. We are still working to migrate all of the manual
 
* infoboxes. See [[MediaWiki talk:Common.css/to do#Infobox]]
 
* DO NOT ADD THEM HERE
 
*/
 
/*
 
* not strictly certain these styles are necessary since the modules now
 
* exclusively output infobox-subbox or infobox, not both
 
* just replicating the module faithfully
 
*/
 
.infobox-subbox {
 
padding: 0;
 
border: none;
 
margin: -3px;
 
width: auto;
 
min-width: 100%;
 
font-size: 100%;
 
clear: none;
 
float: none;
 
background-color: transparent;
 
}
 
 
.infobox-3cols-child {
 
margin: auto;
 
}
 
 
.infobox .navbar {
 
font-size: 100%;
 
}
 
 
/* T281642 */
 
body.skin-minerva .infobox-header,
 
body.skin-minerva .infobox-subheader,
 
body.skin-minerva  .infobox-above,
 
body.skin-minerva .infobox-title,
 
body.skin-minerva  .infobox-image,
 
body.skin-minerva  .infobox-full-data,
 
body.skin-minerva .infobox-below {
 
text-align: center;
 
}
 
 
/* Dark theme: [[William_Wragg]], [[Coral_Castle]] */
 
 
@media screen {
 
   html.skin-theme-clientpref-night .infobox-full-data:not(.notheme) > div:not(.notheme)[style] {
 
   background: #1f1f23 !important;
 
    /* switch with var( --color-base ) when supported. */
 
    color: #f8f9fa;
 
}
 
 
@media screen and ( prefers-color-scheme: dark) {
 
   html.skin-theme-clientpref-os .infobox-full-data:not(.notheme) > div:not(.notheme)[style] {
 
    background: #1f1f23 !important;
 
    /* switch with var( --color-base ) when supported. */
 
    color: #f8f9fa;
 
   }
 
}
 
 
html.skin-theme-clientpref-night .infobox td div:not(.notheme)[style] {
 
background: transparent !important;
 
   color: var(--color-base,#202122);
 
}
 
 
@media screen and ( prefers-color-scheme: dark) {
 
   html.skin-theme-clientpref-os .infobox td div:not(.notheme)[style] {
 
background: transparent !important;
 
   color: var(--color-base,#202122);
 
   }
 
}
 
 
html.skin-theme-clientpref-night .infobox td div.NavHead:not(.notheme)[style] {
 
  background: transparent !important;
 
}
 
}
 
 
 
@media screen and ( prefers-color-scheme: dark) {
 
   html.skin-theme-clientpref-os .infobox td div.NavHead:not(.notheme)[style] {
 
background: transparent !important;
 
   }
 
 
}
 
}
  
/* Since infobox is a table, many infobox templates take advantage of this to add columns and rows to the infobox itself rather than as part of a new table inside them. This class should be discouraged and removed on the long term, but allows us to at least identify these tables going forward
+
h1,h2,h3,h4,h5,h6 {
Currently in use on: [[Module:Infobox3cols]]
+
font-weight: bold;
Fixes issue described in https://phabricator.wikimedia.org/F55300125 on Vector 2022.
 
*/
 
@media (min-width: 640px) {
 
  body.skin--responsive .infobox-table {
 
   display: table !important;
 
  }
 
  body.skin--responsive .infobox-table > caption {
 
   display: table-caption !important;
 
  }
 
  body.skin--responsive .infobox-table > tbody {
 
   display: table-row-group;
 
  }
 
  body.skin--responsive .infobox-table tr {
 
   display: table-row !important;
 
  }
 
  body.skin--responsive .infobox-table th,
 
  body.skin--responsive .infobox-table td {
 
   padding-left: inherit;
 
   padding-right: inherit;
 
  }
 
 
}
 
}

2025年8月20日 (三) 21:12的版本

/* 这里放置的CSS将应用于MinervaNeue皮肤 */
footer .read-more-container:after {
	content: "当ページは、Happy Elements株式会社「あんさんぶるスターズ!」の画像を利用しております。<br> 該当画像の転載・配布等は禁止しております。<br> © 2014-2019 Happy Elements K.K<br> <br> 本页面利用了Happy Elements(乐元素)株式会社“偶像梦幻祭!!”的图像。<br> 禁止对该图像的转载与分发等。 <br> © 2014-2019 Happy Elements K.K<br>© 乐元素科技(北京)有限公司<br> <br> 「扩展科目」计划是知沅教育出版社扩展科目分社的教科书计划,《扩展科目 偶像梦幻祭》教材及其科目计划为「扩展科目」计划系列之一。<br> © 创想鸠沅 Creative Hatogen 2007-2025.<br> <br>";
        --placeholder: "当ページは、Happy Elements株式会社「あんさんぶるスターズ!」の画像を利用しております。<br> 該当画像の転載・配布等は禁止しております。<br> © 2014-2019 Happy Elements K.K<br> <br> 本页面利用了Happy Elements(乐元素)株式会社“偶像梦幻祭!!”的图像。<br> 禁止对该图像的转载与分发等。 <br> © 2014-2019 Happy Elements K.K<br>© 乐元素科技(北京)有限公司<br> <br> 「扩展科目」计划是知沅教育出版社扩展科目分社的教科书计划,《扩展科目 偶像梦幻祭》教材及其科目计划为「扩展科目」计划系列之一。<br> © 创想鸠沅 Creative Hatogen 2007-2025.<br> <br>";
}

@font-face
{
	font-family: MRazorPRC;
	src: url('MRazorPRC-Xbold.otf')
}

.mw-body h1, .mw-body-content h1, .mw-body-content h2, .mw-body-content h3, .mw-body-content h4, .pre-content h1, .content h1, .content h2, h3, h4, {
	font-family: MRazorPRC;
}

h1,h2,h3,h4,h5,h6 {
	font-weight: bold;
}